import { DefineComponent } from 'vue';
import { ArrowHeadType, ElementId, Position } from './types';
import { Connection } from './connection';
export interface Edge<T = any> {
    id: ElementId;
    type?: string;
    source: ElementId;
    target: ElementId;
    sourceHandle?: ElementId | null;
    targetHandle?: ElementId | null;
    label?: string | {
        component: any;
        props?: any;
    };
    labelStyle?: any;
    labelShowBg?: boolean;
    labelBgStyle?: any;
    labelBgPadding?: [number, number];
    labelBgBorderRadius?: number;
    style?: any;
    animated?: boolean;
    arrowHeadType?: ArrowHeadType;
    isHidden?: boolean;
    data?: T;
    class?: string;
}
export interface EdgeProps<T = any> {
    id: ElementId;
    source: ElementId;
    target: ElementId;
    sourceX: number;
    sourceY: number;
    targetX: number;
    targetY: number;
    selected?: boolean;
    animated?: boolean;
    sourcePosition: Position;
    targetPosition: Position;
    label?: string | {
        component: any;
        props?: any;
    };
    labelStyle?: any;
    labelShowBg?: boolean;
    labelBgStyle?: any;
    labelBgPadding?: [number, number];
    labelBgBorderRadius?: number;
    style?: any;
    arrowHeadType?: ArrowHeadType;
    markerEndId?: string;
    data?: T;
    sourceHandleId?: ElementId | null;
    targetHandleId?: ElementId | null;
}
export interface EdgeSmoothStepProps<T = any> extends EdgeProps<T> {
    borderRadius?: number;
}
export declare type EdgeType = DefineComponent<EdgeSmoothStepProps, any, any, any, any, any>;
export declare type OnEdgeUpdateFunc<T = any> = (oldEdge: Edge<T>, newConnection: Connection) => void;
export interface EdgePositions {
    sourceX: number;
    sourceY: number;
    targetX: number;
    targetY: number;
}
